# configure.ac -- autoconf file for gwaves.
# Copyright (C) 2025-2026 Gerardo Ballabio
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

AC_INIT
AC_CONFIG_FILES([src/makefile doc/makefile misc/makefile])
AC_CONFIG_FILES([doc/gwaves.1])
AC_CONFIG_FILES([doc/gwaves-C.omf])
AC_CONFIG_FILES([misc/gwaves.desktop])
AC_PROG_CXX
PKG_CHECK_MODULES([gtkmm], [gtkmm-3.0])
AC_OUTPUT
